Browser Compatibility Issue – Safari 5.1x

We have received several reports that individuals using the Safari web browser (versions 5.1 and up) are experiencing technical issues with the job search feature on  If you are using an Apple computer or iPad, you are most likely using the Safari web browser.

As a temporary solution, our software provider has recommended that individuals download and use an alternate web browser such as Mozilla Firefox, Google Chrome or Microsoft Internet Explorer.

We apologize for the inconvenience.  If you would like to report a technical issue or require assistance with your application, please call 1.866.806.6851 or email  Thank you for your patience as we work towards a solution with our software provider.